Loading...
Searching...
No Matches
Dune::Functions::FaceNormalGridFunction< GV > Class Template Reference
Functions » Function implementations

Grid function implementing the piecewise element face normal. More...

`#include <dune/functions/gridfunctions/facenormalgridfunction.hh>`

## Public Types

using | GridView = GV
using | EntitySet = GridViewEntitySet<GridView, 0>
using | Element = typename EntitySet::Element
using | LocalDomain = typename EntitySet::LocalCoordinate
using | Domain = typename EntitySet::GlobalCoordinate
using | Range = typename EntitySet::GlobalCoordinate

## Public Member Functions

| FaceNormalGridFunction (const GridView &gridView)
| Construct the FaceNormalGridFunction.
Range | operator() (const Domain &x) const
| Not implemented.
const EntitySet & | entitySet () const
| Return the stored GridViewEntitySet.

## Friends

Traits::DerivativeInterface | derivative (const FaceNormalGridFunction &t)
| Not implemented.
LocalFunction | localFunction (const FaceNormalGridFunction &t)
| Return a local-function associated to FaceNormalGridFunction.

## Detailed Description

template<class GV>
class Dune::Functions::FaceNormalGridFunction< GV >

Grid function implementing the piecewise element face normal.

This function implements the grid interface. When evaluated at a point x inside of an element, it computes the unit outward normal vector of the face closest to this point.

Template Parameters

  GV | The GridView associated to the grid-function

## Member Typedef Documentation

## Domain

template<class GV>

using Dune::Functions::FaceNormalGridFunction< GV >::Domain = typename EntitySet::GlobalCoordinate

## Element

template<class GV>

using Dune::Functions::FaceNormalGridFunction< GV >::Element = typename EntitySet::Element

## EntitySet

template<class GV>

using Dune::Functions::FaceNormalGridFunction< GV >::EntitySet = GridViewEntitySet<GridView, 0>

## GridView

template<class GV>

using Dune::Functions::FaceNormalGridFunction< GV >::GridView = GV

## LocalDomain

template<class GV>

using Dune::Functions::FaceNormalGridFunction< GV >::LocalDomain = typename EntitySet::LocalCoordinate

## Range

template<class GV>

using Dune::Functions::FaceNormalGridFunction< GV >::Range = typename EntitySet::GlobalCoordinate

## Constructor & Destructor Documentation

## FaceNormalGridFunction()

template<class GV>

Dune::Functions::FaceNormalGridFunction< GV >::FaceNormalGridFunction | ( | const GridView & | gridView | ) |

inline

Construct the FaceNormalGridFunction.

## Member Function Documentation

## entitySet()

template<class GV>

const EntitySet & Dune::Functions::FaceNormalGridFunction< GV >::entitySet | ( |  | ) | const

inline

Return the stored GridViewEntitySet.

## operator()()

template<class GV>

Range Dune::Functions::FaceNormalGridFunction< GV >::operator() | ( | const Domain & | x | ) | const

inline

Not implemented.

## Friends And Related Symbol Documentation

## derivative

template<class GV>

Traits::DerivativeInterface derivative | ( | const FaceNormalGridFunction< GV > & | t | ) |

friend

Not implemented.

## localFunction

template<class GV>

LocalFunction localFunction | ( | const FaceNormalGridFunction< GV > & | t | ) |

friend

Return a local-function associated to FaceNormalGridFunction.

The documentation for this class was generated from the following file:

- facenormalgridfunction.hh